import type { EventEmitter } from 'node:events';
import type { ReporterOptions, TestEvent, SuiteEvent } from './types.js';
export default class JasmineReporter {
    private _reporter;
    startedSuite?: SuiteEvent;
    private _cid;
    private _specs;
    private _jasmineOpts;
    private _shouldCleanStack;
    private _parent;
    private _failedCount;
    private _suiteStart;
    private _testStart;
    constructor(_reporter: EventEmitter, params: ReporterOptions);
    suiteStarted(suite: jasmine.SuiteResult): void;
    specStarted(test: jasmine.SpecResult): void;
    specDone(test: jasmine.SpecResult): void;
    suiteDone(suite: jasmine.SuiteResult): void;
    emit(event: string, payload: SuiteEvent | TestEvent): void;
    getFailedCount(): number;
    getUniqueIdentifier(target: Pick<TestEvent, 'description' | 'id'>): string;
    cleanStack(error: jasmine.FailedExpectation): jasmine.FailedExpectation;
}
//# sourceMappingURL=reporter.d.ts.map